﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace GanttChartViewStartFinishMembersSample
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        // Prepare DateTime instances to be used as finish values for specific tasks.
        public static DateTime Today = DateTime.Today;
        public static DateTime TodayEndOfDay = DateTime.Today.AddDays(1);
        public static DateTime Tomorrow = DateTime.Today.AddDays(1);
        public static DateTime TomorrowEndOfDay = DateTime.Today.AddDays(1).AddDays(1);
        public static DateTime TomorrowMiddleOfDay = DateTime.Today.AddDays(1).AddDays(0.5);
        public static DateTime OneDayAfterTomorrow = DateTime.Today.AddDays(2);
        public static DateTime OneDayAfterTomorrowEndOfDay = DateTime.Today.AddDays(2).AddDays(1);
        public static DateTime TwoDaysAfterTomorrowMiddleOfDay = DateTime.Today.AddDays(3).AddDays(0.5);
        public static DateTime ThreeDaysAfterTomorrowMiddleOfDay = DateTime.Today.AddDays(4).AddDays(0.5);
    }
}
